# Uses of Class
org.eclipse.gef.ui.palette.PaletteViewer

Packages that use PaletteViewer
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.palette
This package defines and implements the model used by the `PaletteViewer`.
org.eclipse.gef.ui.actions
This package support for using JFace Actions in your EditorPart.
org.eclipse.gef.ui.palette
org.eclipse.gef.ui.parts
org.eclipse.gef.ui.views.palette

## Uses of PaletteViewer in org.eclipse.gef

Methods in org.eclipse.gef that return PaletteViewer
Modifier and Type
Method
Description
`PaletteViewer`
EditDomain.`getPaletteViewer()`
Returns the palette viewer currently associated with this domain.
Methods in org.eclipse.gef with parameters of type PaletteViewer
Modifier and Type
Method
Description
`void`
EditDomain.`setPaletteViewer(PaletteViewer palette)`
Sets the `PaletteViewer` for this EditDomain

## Uses of PaletteViewer in org.eclipse.gef.palette

Methods in org.eclipse.gef.palette with parameters of type PaletteViewer
Modifier and Type
Method
Description
`void`
PaletteListener.`activeToolChanged(PaletteViewer palette, ToolEntry tool)`
A new tool was activated in the palette.

## Uses of PaletteViewer in org.eclipse.gef.ui.actions

Constructors in org.eclipse.gef.ui.actions with parameters of type PaletteViewer
Modifier
Constructor
Description
``
`SetActivePaletteToolAction(PaletteViewer viewer, String label, ImageDescriptor icon, boolean isChecked, ToolEntry entry)`
Creates a new SetActivePaletteToolAction with the given entry to set, as well as a label, icon, and isChecked to be used in a menu.

## Uses of PaletteViewer in org.eclipse.gef.ui.palette

Methods in org.eclipse.gef.ui.palette that return PaletteViewer
Modifier and Type
Method
Description
`PaletteViewer`
PaletteViewerProvider.`createPaletteViewer(Composite parent)`
Creates a PaletteViewer on the given Composite
`protected PaletteViewer`
PaletteContextMenuProvider.`getPaletteViewer()`
Methods in org.eclipse.gef.ui.palette with parameters of type PaletteViewer
Modifier and Type
Method
Description
`protected void`
PaletteViewerProvider.`configurePaletteViewer(PaletteViewer viewer)`
This method is invoked from `PaletteViewerProvider.createPaletteViewer(Composite)`.
`protected void`
PaletteViewerProvider.`hookPaletteViewer(PaletteViewer viewer)`
This method is invoked from `PaletteViewerProvider.createPaletteViewer(Composite)`.
`void`
FlyoutPaletteComposite.`setExternalViewer(PaletteViewer viewer)`
If an external palette viewer is provided, palette state (that is captured in `saveState(IMemento)` -- active tool, drawer expansion state, drawer pin state, etc.) will be maintained when switching between the two viewers.
Constructors in org.eclipse.gef.ui.palette with parameters of type PaletteViewer
Modifier
Constructor
Description
``
`CustomizeAction(PaletteViewer palette)`
Constructor
``
`PaletteContextMenuProvider(PaletteViewer palette)`
Constructor
``
`SettingsAction(PaletteViewer palette)`
Constructor

## Uses of PaletteViewer in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return PaletteViewer
Modifier and Type
Method
Description
`PaletteViewer`
GraphicalEditorWithFlyoutPalette.CustomPalettePage.`getPaletteViewer()`
`protected PaletteViewer`
GraphicalEditorWithPalette.`getPaletteViewer()`
Returns the PaletteViewer.
Methods in org.eclipse.gef.ui.parts with parameters of type PaletteViewer
Modifier and Type
Method
Description
`protected void`
GraphicalEditorWithPalette.`setPaletteViewer(PaletteViewer paletteViewer)`
Sets the palette viewer
Constructors in org.eclipse.gef.ui.parts with parameters of type PaletteViewer
Modifier
Constructor
Description
``
`PaletteViewerKeyHandler(PaletteViewer viewer)`
Constructs a key handler for the specified palette viewer.

## Uses of PaletteViewer in org.eclipse.gef.ui.views.palette

Fields in org.eclipse.gef.ui.views.palette declared as PaletteViewer
Modifier and Type
Field
Description
`protected PaletteViewer`
PaletteViewerPage.`viewer`
The PaletteViewer created for this page